Package be.cin.mycarenet._1_0.carenet.types

# Class PeriodLength

java.lang.Object
be.cin.mycarenet._1_0.carenet.types.PeriodLength

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:16:04+02:00", comments="JAXB RI v4.0.5") public class PeriodLength extends Object implements Serializable

Java class for anonymous complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <simpleContent>
         <extension base="<urn:be:cin:mycarenet:1.0:carenet:types>NumericalType_2">
           <attribute name="type" use="required" type="{urn:be:cin:mycarenet:1.0:carenet:types}PeriodLengthTypeType" />
         </extension>
       </simpleContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PeriodLength()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PeriodLengthTypeType`
  `getType()`
  Gets the value of the type property.
  `String`
  `getValue()`
  NumericalType Limited to a length of 2
  `void`
  `setType(PeriodLengthTypeType value)`
  Sets the value of the type property.
  `void`
  `setValue(String value)`
  Sets the value of the value property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PeriodLength

    public PeriodLength()

- ## Method Details

  - ### getValue

    public String getValue()
    NumericalType Limited to a length of 2
    Returns:
      possible object is `String`

  - ### setValue

    public void setValue(String value)
    Sets the value of the value property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getValue()`

  - ### getType

    public PeriodLengthTypeType getType()
    Gets the value of the type property.
    Returns:
      possible object is `PeriodLengthTypeType`

  - ### setType

    public void setType(PeriodLengthTypeType value)
    Sets the value of the type property.
    Parameters:
      `value` - allowed object is `PeriodLengthTypeType`